%define anolis_release 1

%define plugindir %{_libdir}/esmtp-plugins

Summary:        SMTP client library
Name:           libesmtp
Version:        1.0.6
Release:        %{anolis_release}%{dist}

License:        LGPLv2+
Source:         http://www.stafford.uklinux.net/libesmtp/%{name}-%{version}.tar.bz2
URL:            http://www.stafford.uklinux.net/libesmtp/
BuildRequires:  gcc
BuildRequires:  openssl-devel pkgconfig autoconf automake libtool
BuildRequires:  make

Patch0: 0001-libesmtp-1.0.6-openssl-1.1.patch
Patch1: 0002-libesmtp-configure-c99.patch

%description
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.'

%package devel
Summary: Headers and development libraries for libESMTP
License: LGPLv2+ and GPLv2+
Requires: %{name} = %{version}-%{release}, openssl-devel

%description devel
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim.

The libesmtp-devel package contains headers and development libraries
necessary for building programs against libesmtp.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep 
%autosetup -p1
autoreconf -fi

# Keep rpmlint happy about libesmtp-debuginfo...
chmod a-x htable.c

%build

if pkg-config openssl ; then
  export CFLAGS="$CFLAGS $RPM_OPT_FLAGS `pkg-config --cflags openssl`"
  export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi
%configure --with-auth-plugin-dir=%{plugindir} --enable-pthreads \
  --enable-require-all-recipients --enable-debug \
  --enable-etrn --disable-isoc --disable-more-warnings --disable-static
make %{?_smp_mflags}
cat << "EOF" > libesmtp.pc
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: libESMTP
Version: %{version}
Description: SMTP client library.
Requires: openssl
Libs: -pthread -L${libdir} -lesmtp
Cflags:
EOF

cat << "EOF" > libesmtp-config
#! /bin/sh
exec pkg-config "$@" libesmtp
EOF

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install INSTALL='install -p'
install -p -m644 -D libesmtp.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libesmtp.pc

%generate_compatibility_deps

%files
%license COPYING COPYING.LIB
%dir %{abidir}
%{_libdir}/libesmtp.so.*
%{abidir}/libesmtp.dump
%{plugindir}
%{abidir}/sasl-*.dump

%files devel
%doc examples
%{_bindir}/libesmtp-config
%{abidir}/libesmtp-config-option.list
%{_prefix}/include/*
%{_libdir}/libesmtp.so
%{_libdir}/pkgconfig/libesmtp.pc

%files doc
%doc AUTHORS NEWS Notes README

%changelog
* Tue Mar 28 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.0.6-1
- Init package from upstream
